@extends('layouts.app')
@section('htmlheader_title')
	Echoareas
@endsection

@section('content')
	<div class="row">
		<div class="col-12">
			<h2>About Echoareas</h2>
			<p>BBS Systems exchange public messages called <strong class="highlight">echomail</strong>. Echomail is grouped into <strong class="highlight">echoareas</strong> normally around a theme or a topic.</p>
			<p>Each echoarea has a unique <strong class="highlight">areatag</strong> which helps a receiving BBS to know where to file the message when it is received.</p>
		</div>
	</div>

	<div class="row">
		<div class="col-6">
			<p>This system is aware of the following echoareas:</p>

			@if (\App\Models\Echoarea::count() == 0)
				@can('admin',(new \App\Models\Echoarea))
					<p>There are no echoareas setup, to <a href="{{ url('ftn/echoarea/addedit') }}">set up your first</a>.</p>
				@else
					<p class="pad">There are no echoareas - you need to ask an admin to create one for you.</p>
				@endcan
			@else
				<table class="table monotable">
					<thead>
					<tr>
						<th>ID</th>
						<th>Areatag</th>
						<th>Description</th>
						<th>Active</th>
						<th>Domain</th>
					</tr>
					</thead>

					<tbody>
					@can('admin',(new \App\Models\Echoarea))
						<tr>
							<td colspan="5"><a href="{{ url('ftn/echoarea/addedit') }}">Add New Echoarea</a></td>
						</tr>
					@endcan
					@foreach (\App\Models\Echoarea::orderBy('name')->with(['domain'])->get() as $oo)
						<tr>
							<td><a href="{{ url('ftn/echoarea/addedit',[$oo->id]) }}">{{ $oo->id }}</a></td>
							<td>{{ $oo->name }}</td>
							<td>{{ $oo->description }}</td>
							<td>{{ $oo->active ? 'YES' : 'NO' }}</td>
							<td>{{ $oo->domain->name }}</td>
						</tr>
					@endforeach
					</tbody>
				</table>
			@endif
		</div>
	</div>
@endsection

@section('page-scripts')
	<script type="text/javascript">
		$('table tr').click(function() {
			var href = $(this).find('a').attr('href');

			if (href)
				window.location = href;
		});
	</script>
@append
